Handle_Info Struct Reference
Collaboration diagram for Handle_Info:
[legend]

## Data Fields

Upnp_Handle_Type | HType
Upnp_FunPtr | Callback
char * | Cookie
int | aliasInstalled
char | DescURL [LINE_SIZE]
char | LowerDescURL [LINE_SIZE]
char | DescXML [LINE_SIZE]
int | MaxAge
int | PowerState
int | SleepPeriod
int | RegistrationState
IXML_Document * | DescDocument
IXML_NodeList * | DeviceList
IXML_NodeList * | ServiceList
service_table | ServiceTable
int | MaxSubscriptions
int | MaxSubscriptionTimeOut
int | DeviceAf
GenlibClientSubscription * | ClientSubList
LinkedList | SsdpSearchList

## Field Documentation

## aliasInstalled

int Handle_Info::aliasInstalled

0 = not installed; otherwise installed.

## Callback

Upnp_FunPtr Handle_Info::Callback

Callback function pointer.

## ClientSubList

GenlibClientSubscription* Handle_Info::ClientSubList

Client subscription list.

## Cookie

char* Handle_Info::Cookie

## DescDocument

IXML_Document* Handle_Info::DescDocument

Description parsed in terms of DOM document.

## DescURL

char Handle_Info::DescURL[LINE_SIZE]

URL for the use of SSDP.

## DescXML

char Handle_Info::DescXML[LINE_SIZE]

XML file path for device description.

## DeviceAf

int Handle_Info::DeviceAf

Address family: AF_INET or AF_INET6.

## DeviceList

IXML_NodeList* Handle_Info::DeviceList

List of devices in the description document.

## HType

Upnp_Handle_Type Handle_Info::HType

## LowerDescURL

char Handle_Info::LowerDescURL[LINE_SIZE]

URL for the use of SSDP when answering to legacy CPs (CP searching for a v1 when the device is v2).

## MaxSubscriptions

int Handle_Info::MaxSubscriptions

## MaxSubscriptionTimeOut

int Handle_Info::MaxSubscriptionTimeOut

## ServiceList

IXML_NodeList* Handle_Info::ServiceList

List of services in the description document.

## ServiceTable

service_table Handle_Info::ServiceTable

Table holding subscriptions and URL information.

## SsdpSearchList

LinkedList Handle_Info::SsdpSearchList

Active SSDP searches.

The documentation for this struct was generated from the following file:

- upnp/src/inc/upnpapi.h